<?php
/**
 * TagsApiTest
 * PHP version 7.3
 *
 * @category Class
 * @package  SLIS\Adapter\Tanss
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * TANSS API
 *
 * ## Documentation of the TANSS API. Version: 5.8.22.1  ### older versions Older versions of the API documentation can be found here: * [Docs for 5.8.21.6](https://api-doc.tanss.de/5.8.21.6/) * [Docs for 5.8.21.3](https://api-doc.tanss.de/5.8.21.3/) * [Docs for 5.8.21.1](https://api-doc.tanss.de/5.8.21.1/) * [Docs for 5.8.20.5](https://api-doc.tanss.de/5.8.20.5/) * [Docs for 5.8.20.4](https://api-doc.tanss.de/5.8.20.4/) * [Docs for 5.8.20.2](https://api-doc.tanss.de/5.8.20.2/) * [Docs for 5.8.19.3](https://api-doc.tanss.de/5.8.19.3/)
 *
 * The version of the OpenAPI document: 5.8.22.1
 * Contact: support@tanss.de
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 6.0.0-SNAPSHOT
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace SLIS\Adapter\Tanss\Test\Api;

use \SLIS\Adapter\Tanss\Configuration;
use \SLIS\Adapter\Tanss\ApiException;
use \SLIS\Adapter\Tanss\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * TagsApiTest Class Doc Comment
 *
 * @category Class
 * @package  SLIS\Adapter\Tanss
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class TagsApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass(): void
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp(): void
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown(): void
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass(): void
    {
    }

    /**
     * Test case for apiV1TagsAssignmentDelete
     *
     * Removes a tag.
     *
     */
    public function testApiV1TagsAssignmentDelete()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TagsAssignmentGet
     *
     * List of tags to an assignment.
     *
     */
    public function testApiV1TagsAssignmentGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TagsAssignmentLogGet
     *
     * List of tags logs to an assignment.
     *
     */
    public function testApiV1TagsAssignmentLogGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TagsAssignmentPost
     *
     * Assigns a tag.
     *
     */
    public function testApiV1TagsAssignmentPost()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TagsAssignmentPut
     *
     * Assigns multiple tags.
     *
     */
    public function testApiV1TagsAssignmentPut()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TagsGet
     *
     * Get all tags.
     *
     */
    public function testApiV1TagsGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TagsIdDelete
     *
     * Deletes a tag.
     *
     */
    public function testApiV1TagsIdDelete()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TagsIdGet
     *
     * Gets a tag.
     *
     */
    public function testApiV1TagsIdGet()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TagsIdPut
     *
     * Edits a tag.
     *
     */
    public function testApiV1TagsIdPut()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for apiV1TagsPost
     *
     * Creates a new tag.
     *
     */
    public function testApiV1TagsPost()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }
}
